var textImageData = {};

var NextBackTemp = {};
NextBackTemp.pageContentObj;
NextBackTemp.visitedArr = [];
NextBackTemp.lastClicked;
NextBackTemp.current = 1;
NextBackTemp.total = 0;


let _shell_wrapper = $('#shell_wrapper');

NextBackTemp.initPage = function (data) {
    NextBackTemp.pageContentObj = data;
    NextBackTemp.visitedArr = [];

    $(".ins_text1").html(data.ins_text1);
    $(".ins_text2").html(data.ins_text2);
    $(".ins_text").html(data.ins_text);
    $(".row_counter").addClass("fadeInUp");

    NextBackTemp.current = 1;
    NextBackTemp.total = NextBackTemp.pageContentObj.popupData.length;



    // $(".tab").each(function (i) {
    //     $(this).html(data["click_" + (i + 1)]);
    //     $(this).data("idx", (i + 1));
    //     NextBackTemp.visitedArr.push(0);
    // });

}


NextBackTemp.updateAudio = function (_btn, num) {

}



NextBackTemp.addListeners = function () {
    $(".tab").parent().addClass("enabled");
    $(".tab1").hide()

    $(".tab").off("click").on("click", function () {
        if (NextBackTemp.lastClicked == undefined || NextBackTemp.lastClicked.attr('id') != $(this).attr('id') && $(this).parent().hasClass("enabled")) {
            $(".tab").parent().removeClass("selected enabled");
            $(this).parent().addClass("selected");
            if ((!$(this).parent().hasClass('visited')) || (!$(this).hasClass('visited'))) {
                $(".closeBtn").removeClass("enabled");
            }

            var eName = $(this).attr("id");
            var num = parseInt(eName.slice(3, 4));
            $(".ins_text2").hide();
            $(".contentCont #container").fadeOut()
            if (num == 1) {
                $(".ins_text1").hide();
                $(".ins_text2").show();
                setTimeout(function () {
                    $(".contentCont #container").fadeIn()
                    initCourosel();
                }, 300)
            }

            NextBackTemp.lastClicked = $(this);
        }
    });

    setTimeout(function () {
        $(".btnContainer .tab1").trigger("click")
    }, 300)

}





var init_activity = (function () {
    this.init = function (data, callback) {
        NextBackTemp.initPage(data);
        setTimeout(function () {
            NextBackTemp.addListeners();
        }, 400);
    };
    return this;

})

///  courosel is //////////////////////

let initCourosel = function () {
    $(".carousel-container #box6").show();
    addClickActivity();
};

let _pageData = {
    'aD': {},
    'pr': "",
    'sr': 0,
    'sts': 0
};

let addClickActivity = function () {

    let _nextButton = $(".text_model_style #nextBtn");
    let _preButton = $(".text_model_style #prevBtn");
    

    _nextButton.click(function () {
        if (NextBackTemp.current < NextBackTemp.total) {
            NextBackTemp.current++;
            showPopupContent(NextBackTemp.current - 1);
            _preButton.removeClass("disabled");
            _preButton.show();

        }
    });
    _preButton.click(function () {
        if (NextBackTemp.current > 1) {
            NextBackTemp.current--;
            showPopupContent(NextBackTemp.current - 1);
            _nextButton.removeClass("disabled");
            _nextButton.show();

        }

    });

    var tabNo;
    var showPopupContent = function (num) {

        $(".carindicators li.active").removeClass('active');
        var tempNO = num + 1;

        tabNo = '#tabDot_'+tempNO;
        $(".carindicators").children(tabNo).addClass('active');
        
        $(".contentWrapper .group_wrapper").find(".tab_cont").html("")
        $(".contentWrapper .group_wrapper").find(".tab_cont").html(NextBackTemp.pageContentObj.popupData[num].description);

        $(".contentWrapper .group_wrapper").show();

        _preButton.addClass("disabled");
        _nextButton.addClass("disabled");
        
        

        if (num == 0) {
            _preButton.hide();
            _preButton.addClass("disabled");
        } else {
            _preButton.show();
            _preButton.removeClass("disabled");
        }

        if (num == 2) {
            _nextButton.hide();
        } else {
            _nextButton.show();
        }

        Utils.updateAudio(NextBackTemp.pageContentObj.audio[num + 1], function () {

            if (num == 2) {
                if (NextBackTemp.pageContentObj.popupData[num].hasVideo) {
                    addEventOnJoinPodCast(NextBackTemp.pageContentObj.popupData[num].video)
                }
            }
            if (num != 5) {
                _nextButton.removeClass("disabled");
                //$(".closebgtn").addClass("active");
            }else{
                $(".closebgtn").addClass("active");
            }

            $(".contentWrapper .group_wrapper .popCloseBtn").removeClass('disabled')
            let _data = {
                'qNo': num,
                'r': 1
            }
            _shell_wrapper.trigger("tabClicked", _data);
        })
    }

    setTimeout(function () {
        showPopupContent(NextBackTemp.current - 1)
    }, 300);

    var addEventOnJoinPodCast = function (video) {
        let btn = $("#play-video");
        btn.removeClass("disabled");
        btn.off("click").on("click", function () {
            let vData = video[0];
            vData['sts'] = _pageData['sts'];
            Utils.simple_tab5_addPopupVideo(vData, function () {

            });
            //Utils.pageCompleted()
            console.log("----done")
        }).addClass("active");
        //addTabIndexing();
    }

}